# (c) Copyright IBM Corp., 2000, 2001
# All Rights Reserved.
#
# Makefile for creating SWT libraries on AIX

include make_common.mak

SWT_VERSION=$(maj_ver)$(min_ver)

# Define the installation directories for various products.
#    JAVA_HOME  - The JDK > 1.3
#    CDE_HOME - CDE includes and libraries
#    MOTIF_HOME - Motif includes and libraries
JAVA_HOME   = /Library/Java/Home
MOTIF_HOME = /Users/Jim/Motif/darwin-extras
# Actually Motif is in /usr/local. MOTIF_HOME is the OpenMotif developer extras archive.

# Define the various DLL (shared) libraries to be made.

SWT_PREFIX   = swt
WS_PREFIX    = motif
SWT_DLL      = lib$(SWT_PREFIX)-$(WS_PREFIX)-$(SWT_VERSION).jnilib
SWT_OBJ      = callback.o structs.o swt.o 
SWT_LIB      = -dynamic -bundle \
		-L/usr/local/lib -L/usr/X11R6/lib -L/sw/lib -L/usr/lib -L$(MOTIF_HOME)/langinfo \
	        -lXm -lXt -lX11 -lXp -liconv -llanginfo 

#
# The following CFLAGS are for compiling both the SWT library and the CDE
# library.
#
CFLAGS = -O -s \
	-DSWT_VERSION=$(SWT_VERSION) \
	-DMACOSX -DMOTIF \
	-fPIC \
	-I./ \
	-I$(JAVA_HOME)/include \
	-I$(MOTIF_HOME)/includes \
	-I/sw/include \
	-I/usr/X11R6/include

all: make_swt

make_swt: $(SWT_DLL)

$(SWT_DLL): $(SWT_OBJ)
	cc $(SWT_LIB) -o $(SWT_DLL) $(SWT_OBJ)

make_cde: $(CDE_DLL)

$(CDE_DLL): $(CDE_OBJ)
	ld -o $@ $(CDE_OBJ) $(CDE_LIB)


clean:
	rm -f *.o *.so *.a
